﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using SuperMap.Desktop.UI.Conversion;

namespace SuperMap.Desktop.Samples
{
    public partial class ImportSettingCustomPanel : ImportSettingPanelVectorBase
    {
        public ImportSettingCustomPanel()
        {
            InitializeComponent();
            ProcessUIString("Import file data as point dataset.");
            RegistEvent();
        }

        protected override void RegistEvent()
        {
            base.RegistEvent();
            this.m_numberXField.TextChanged += m_comboBoxXField_TextChanged;
            this.m_numberYField.TextChanged += m_comboBoxYField_TextChanged;
        }

        void m_comboBoxYField_TextChanged(object sender, EventArgs e)
        {
            if (!m_isFocus)
            {
                try
                {
                    foreach (DataFileInfo dfi in m_dataFileInfos)
                    {
                        ImportSettingCustom setting = dfi.ImportSetting as ImportSettingCustom;
                        if (setting != null)
                        {
                            setting.YFieldIndex = Convert.ToInt32(m_numberYField.Text);
                        }
                    }
                }
                catch
                {

                }
            }
        }

        void m_comboBoxXField_TextChanged(object sender, EventArgs e)
        {
            if (!m_isFocus)
            {
                try
                {
                    foreach (DataFileInfo dfi in m_dataFileInfos)
                    {
                        ImportSettingCustom setting = dfi.ImportSetting as ImportSettingCustom;
                        if (setting != null)
                        {
                            setting.XFieldIndex = Convert.ToInt32(m_numberXField.Text);
                        }

                    }
                }
                catch
                {

                }
            }
        }

        protected override void ProcessUIString(String headerCaption)
        {
            base.ProcessUIString(headerCaption);
            m_labelX.Text = "X Field Index";
            m_labelY.Text = "Y Field Index";
        }
        protected override void UpdateControls()
        {
            m_isFocus = true;
            base.UpdateControls();
            this.m_numberXField.Value = (this.m_dataFileInfos[0].ImportSetting as ImportSettingCustom).XFieldIndex;
            this.m_numberYField.Value = (this.m_dataFileInfos[0].ImportSetting as ImportSettingCustom).YFieldIndex;
            m_isFocus = false;
        }
    }
}
